diff --git a/src/Entity/GroupContent.php b/src/Entity/GroupContent.php
index 75583e5..84d751b 100644
--- a/src/Entity/GroupContent.php
+++ b/src/Entity/GroupContent.php
@@ -185,7 +185,7 @@ class GroupContent extends ContentEntityBase implements GroupContentInterface {
       // flush some caches containing the entity or perform other operations we
       // cannot possibly know about. Lucky for us, all of that behavior usually
       // happens when saving an entity so let's re-save the added entity.
-      $this->getEntity()->save();
+      // $this->getEntity()->save();
     }
 
     // If a membership gets updated, but the member's roles haven't changed, we
